Subject: bug#25333: 25.1; electric-quote-local-mode has no effect in message mode

From: Paul Eggert <[email-masked]>
Date: Fri, 14 Jul 2017 05:30:36 -0700

> When turning electric-quote-local-mode on in message-mode, one expects ` 
> to be turned to ‘ and the like.  However, it does nothing outside 
> quotations (lines starting with ‘>’ and the like).  It seems to be 
> because ‘comment-use-syntax’ is left as ‘undecided’.  Shouldn’t it set 
> to ‘nil‘ (for some parts only if needed)?

Sorry, I cannot reproduce the problem in the current Emacs master. Quite 
possibly I am not understanding the scenario well enough. (Or possibly the bug 
has been fixed since you reported it.) Could you please send a self-contained 
recipe for reproducing the problem? Thanks.